TransactionTypeValue (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javacardx.framework
Enum TransactionTypeValue

    java.lang.Object
      java.lang.Enum<TransactionTypeValue>
          javacardx.framework.TransactionTypeValue

    public enum TransactionTypeValue

extends Enum<TransactionTypeValue>

The TransactionTypeValue enum class enumerates the possible values of the TransactionType annotation. The Java Card RE specification chapter on Application Programming Models describes the meaning of each value in more detail

Since:
  Java Card 3.0

Enum Constant Summary
`MANDATORY` The method must be associated with an ongoing transaction.
`NEVER` The method must not be associated with any ongoing transaction.
`NOT_SUPPORTED` This method does not associate with an ongoing transaction, if any.
`REQUIRED` The method associates with an ongoing transaction, if any.
`REQUIRES_NEW` The method does not associate with an ongoing transaction, if any.
`SUPPORTS` The method associates with an ongoing transaction, if any.

Method Summary
`static TransactionTypeValue` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransactionTypeValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`equals, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MANDATORY

    public static final TransactionTypeValue MANDATORY

  The method must be associated with an ongoing transaction. Exception if there is no ongoing transaction.

### REQUIRED

    public static final TransactionTypeValue REQUIRED

  The method associates with an ongoing transaction, if any. Otherwise, starts a new one.

### REQUIRES_NEW

    public static final TransactionTypeValue REQUIRES_NEW

  The method does not associate with an ongoing transaction, if any. It starts a new one.

### SUPPORTS

    public static final TransactionTypeValue SUPPORTS

  The method associates with an ongoing transaction, if any.

### NOT_SUPPORTED

    public static final TransactionTypeValue NOT_SUPPORTED

  This method does not associate with an ongoing transaction, if any.

### NEVER

    public static final TransactionTypeValue NEVER

  The method must not be associated with any ongoing transaction. Exception if there is an ongoing transaction.

Method Detail

### values

    public static TransactionTypeValue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TransactionTypeValue c : TransactionTypeValue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TransactionTypeValue valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.